> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lead

> Update a lead for a agent



## OpenAPI

````yaml put /agents/{agentId}/leads/{leadId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/{agentId}/leads/{leadId}:
    put:
      tags:
        - Leads
      summary: Update Lead
      description: Update a lead for a agent
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          description: The ID of the agent
          schema:
            type: string
        - name: leadId
          in: path
          required: true
          description: The ID of the lead
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                phone:
                  type: string
                  description: The phone number of the lead
                customFields:
                  type: object
                  additionalProperties:
                    type: string
                  description: >-
                    The user defined fields for the lead. Keys are field names,
                    values are field values.
                tags:
                  type: array
                  items:
                    type: string
                  description: The IDs of the tags attached to the lead
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    description: The ID of the lead
                  phone:
                    type: string
                    description: The phone number of the lead
                  customFields:
                    type: object
                    additionalProperties:
                      type: string
                    description: >-
                      The user defined fields for the lead. Keys are field
                      names, values are field values.
                  tags:
                    type: array
                    items:
                      type: string
                    description: The IDs of the tags attached to the lead
        '500':
          description: Internal Server Error
          content: {}

````